Knowledgebase: Installing
How do I install the plug-ins in Photoshop CS4?
Posted by - NA -, Last modified by on 05 March 2009 11:18 AM
Please make sure to download and install the latest version of our plug-in(s), which are available at our Download Page. Imagenomic's current versions are fully CS4 compatible, including systems running Windows Vista 64-bit and Windows 7 64 bit.

Note, please, that support for 64 bit Photoshop CS4 is available on 64 bit Windows Vista and 64 bit Windows 7 only - on 64 bit Windows XP the plug-ins can be used only in 32 bit edition of Photoshop CS4.

Comments (0)